/*
 * BankAccountValue.java
 * Created on May 22, 2005 
 * Author: 	L�szl� Felf�ldi, Etixpert GmbH
 * mail:	laszlo.felfoldi@etixpert.com		
 */

package com.etixpert.evolution.value.order;

import java.util.Date;

import com.etixpert.evolution.value.Value;

public class BankAccountValue extends Value {
	private Object id;
	private String  bankCode;
	private String  bankName;
	private String  accountNumber;
	private String  bic;
	private String  iban;
	private Date    mandateSignDate;
	private boolean recurring;

	public BankAccountValue(Object aId, String aBankName, String aBankCode, String aAccountNumber, String aBic, String aIban, Date aMandateSignDate, boolean aRecurring) {
		id              = aId;
		bankName        = aBankName;
		bankCode        = aBankCode;
		accountNumber   = aAccountNumber;
		bic             = aBic;
		iban            = aIban;
		mandateSignDate = aMandateSignDate;
		recurring       = aRecurring;
	}
	
	public Object getId() {
		return id;
	}
	
	public String getAccountNumber() {
		return accountNumber;
	}

	public String getBankCode() {
		return bankCode;
	}

	public String getBankName() {
		return bankName;
	}
	
	public String getBic() {
		return bic;
	}
	
	public String getIban() {
		return iban;
	}
	
	public Date getMandateSignDate() {
		return mandateSignDate;
	}

	public boolean isRecurring() {
		return recurring;
	}
}
